---
layout: default
title: Qubes OS Documentation
permalink: /doc/
redirect_from:
- /en/doc/
- /doc/UserDoc/
- /wiki/UserDoc/
- /doc/QubesDocs/
- /wiki/QubesDocs/
---

Qubes OS Documentation
======================

The Basics
----------
 *  [A Simple Introduction to Qubes](/intro/)
 *  [Getting Started](/doc/getting-started/)
 *  [Users' FAQ](/doc/user-faq/)
 *  [Mailing Lists](/doc/mailing-lists/)
 *  [Further reading: How is Qubes different from...?](http://blog.invisiblethings.org/2012/09/12/how-is-qubes-os-different-from.html)
 *  [Further reading: Why Qubes is more than a collection of VMs](http://www.invisiblethingslab.com/resources/2014/Software_compartmentalization_vs_physical_separation.pdf)


Choosing Your Hardware
----------------------
 *  [System Requirements](/doc/system-requirements/)
 *  [Hardware Compatibility List (HCL)](/hcl)
 *  Qubes Certified Laptops ([coming soon!](https://twitter.com/Puri_sm/status/644963433293717504))


Installing Qubes
----------------
 *  [Use Qubes without installing: Qubes Live USB (alpha)](https://groups.google.com/d/msg/qubes-users/IQdCEpkooto/iyMh3LuzCAAJ)
 *  [How to Install Qubes](/doc/installation-guide/)
 *  [Qubes Downloads](/downloads/)
 *  [Why and How to Verify Signatures](/doc/verifying-signatures/)
 *  [Security Considerations when Installing](/doc/install-security/)


Common Tasks
------------
 *  [Copying and Pasting Text Between Domains](/doc/copy-paste/)
 *  [Copying and Moving Files Between Domains](/doc/copying-files/)
 *  [Copying Files to and from dom0](/doc/copy-to-dom0/)
 *  [Updating Software in dom0](/doc/software-update-dom0/)
 *  [Updating and Installing Software in VMs](/doc/software-update-vm/)
 *  [Backup, Restoration, and Migration](/doc/backup-restore/)
 *  [Disposable VMs](/doc/dispvm/)
 *  [Mounting USB Drives to AppVMs](/doc/stick-mounting/)
 *  [Recording Optical Discs](/doc/recording-optical-discs/)
 *  [Managing Application Shortcuts](/doc/managing-appvm-shortcuts/)
 *  [Enabling Fullscreen Mode](/doc/full-screen-mode/)


Managing Operating Systems within Qubes
---------------------------------------
 *  [TemplateVMs](/doc/templates/)
 *  [Templates: Fedora - minimal](/doc/templates/fedora-minimal/)
 *  [Templates: Debian](/doc/templates/debian/)
 *  [Templates: Archlinux](/doc/templates/archlinux/)
 *  [Templates: Ubuntu](/doc/templates/ubuntu/)
 *  [Templates: Whonix](/doc/templates/whonix/)
 *  [Installing and Using Windows-based AppVMs (Qubes R2 Beta 3 and later)](/doc/windows-appvms/)
 *  [Creating and Using HVM and Windows Domains (Qubes R2+)](/doc/hvm-create/)
 *  [Advanced options and troubleshooting of Qubes Tools for Windows (R3)](/doc/windows-tools-3/)
 *  [Advanced options and troubleshooting of Qubes Tools for Windows (R2)](/doc/windows-tools-2/)
 *  [Uninstalling Qubes Tools for Windows 2.x](/doc/uninstalling-windows-tools-2/)
 *  [Upgrading the Fedora 20 Template](/doc/fedora-template-upgrade-20/)
 *  [Upgrading the Fedora 18 Template](/doc/fedora-template-upgrade-18/)
 *  [Tips for Using Linux in an HVM](/doc/linux-hvm-tips/)
 *  [Creating NetBSD VM](https://groups.google.com/group/qubes-devel/msg/4015c8900a813985)


Security Guides
---------------
 *  [Qubes OS Project Security Information](/security/)
 *  [Security Guidelines](/doc/security-guidelines/)
 *  [Understanding Qubes Firewall](/doc/qubes-firewall/)
 *  [Understanding and Preventing Data Leaks](/doc/data-leaks/)
 *  [Installing Anti Evil Maid](/doc/anti-evil-maid/)
 *  [Using Multi-factor Authentication with Qubes](/doc/multifactor-authentication/)
 *  [Using GPG more securely in Qubes: Split GPG](/doc/split-gpg/)
 *  [Configuring YubiKey for user authentication](/doc/yubi-key/)
 *  [Note regarding password-less root access in VM](/doc/vm-sudo/)


Configuration Guides
--------------------
 *  [Configuration Files](/doc/config-files/)
 *  [How to Install a Transparent Tor ProxyVM (TorVM)](/doc/torvm/)
 *  [How to set up a ProxyVM as a VPN Gateway](/doc/vpn/)
 *  [Storing AppVMs on Secondary Drives](/doc/secondary-storage/)
 *  [Where are my external storage devices mounted?](/doc/external-device-mount-point/)
 *  [Resizing AppVM and HVM Disk Images](/doc/resize-disk-image/)
 *  [Extending `root.img` Size](/doc/resize-root-disk-image/)
 *  [Installing ZFS in Qubes](/doc/zfs/)
 *  [Mutt Guide](/doc/mutt/)
 *  [Postfix Guide](/doc/postfix/)
 *  [Fetchmail Guide](/doc/fetchmail/)
 *  [Creating Custom NetVMs and ProxyVMs](http://theinvisiblethings.blogspot.com/2011/09/playing-with-qubes-networking-for-fun.html)
 *  [How to make proxy for individual tcp connection from networkless VM](https://groups.google.com/group/qubes-devel/msg/4ca950ab6d7cd11a)
 *  [HTTP filtering proxy in Qubes firewall VM](https://groups.google.com/group/qubes-devel/browse_thread/thread/5252bc3f6ed4b43e/d881deb5afaa2a6c#39c95d63fccca12b)
 *  [Adding Bridge Support to the NetVM (EXPERIMENTAL)](/doc/network-bridge-support/)
 *  [Assigning PCI Devices to AppVMs](/doc/assigning-devices/)
 *  [Enabling TRIM for SSD disks](/doc/disk-trim/)
 *  [Configuring a Network Printer](/doc/network-printer/)
 *  [Using External Audio Devices](/doc/external-audio/)
 *  [Booting with GRUB2 and GPT](https://groups.google.com/group/qubes-devel/browse_thread/thread/e4ac093cabd37d2b/d5090c20d92c4128#d5090c20d92c4128)
 *  [Rxvt Guide](/doc/rxvt/)


Customization Guides
--------------------
 *  [DispVM Customization](/doc/dispvm-customization/)
 *  [Customizing Fedora minimal templates](/doc/fedora-minimal-template-customization)
 *  [Customizing Windows 7 templates](/doc/windows-template-customization)
 *  [Using KDE in dom0](/doc/kde/)
 *  [Installing XFCE in dom0](/doc/xfce/)
 *  [Language Localization](/doc/language-localization/)


Troubleshooting
---------------
 *  [Home directory is out of disk space error](/doc/out-of-memory/)
 *  [Installing on system with new AMD GPU (missing firmware problem)](https://groups.google.com/group/qubes-devel/browse_thread/thread/e27a57b0eda62f76)
 *  [How to install an Nvidia driver in dom0](/doc/install-nvidia-driver/)
 *  [Solving problems with Macbook Air 2012](https://groups.google.com/group/qubes-devel/browse_thread/thread/b8b0d819d2a4fc39/d50a72449107ab21#8a9268c09d105e69)
 *  [Getting Sony Vaio Z laptop to work with Qubes](/doc/sony-vaio-tinkering/)
 *  [Getting Lenovo 450 to work with Qubes](/doc/lenovo450-tinkering/)


Reference Pages
---------------
 *  [Dom0 Command-Line Tools](/doc/dom0-tools/)
 *  [DomU Command-Line Tools](/doc/vm-tools/)
 *  [Glossary of Qubes Terminology](/doc/glossary/)
 *  [Qubes Service Framework](/doc/qubes-service/)
 *  [Command Execution in VMs (and Qubes RPC)](/doc/qrexec/)


For Developers
--------------
 *  [System Documentation](/doc/system-doc/)
 *  [Developers' FAQ](/doc/devel-faq/)
 *  [How to Contribute to the Qubes OS Project](/doc/contributing/)
 *  [Reporting Security Issues](/security/)
 *  [Reporting Bugs](/doc/reporting-bugs/)
 *  [Source Code](/doc/source-code/)
 *  [Qubes OS Version Scheme](/doc/version-scheme/)
 *  [Coding Guidelines](/doc/coding-style/)
 *  [Documentation Guidelines](/doc/doc-guidelines/)
 *  [Books for Developers](/doc/devel-books/)
 *  [Research Papers](/doc/qubes-research/)
 *  [Qubes OS License](/doc/license/)
